using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Telerik.WebControls; 

namespace ServerSideSplitter
{
  public partial class _Default : System.Web.UI.Page
  {
protected void Page_Load(object sender, EventArgs e)
{
  RadSplitter splitter = new RadSplitter();
  splitter.FullScreenMode = true; 

  RadPane paneLeft = new RadPane();
  paneLeft.Width = Unit.Percentage(20); 
  paneLeft.Scrolling = RadSplitterPaneScrolling.None;
  Label labelLeft = new Label();
  labelLeft.Text = "The left pane content";
  paneLeft.Controls.Add(labelLeft); 
  splitter.Items.Add(paneLeft);

  RadSplitBar splitBar = new RadSplitBar();
  splitBar.CollapseMode = RadSplitBarCollapseMode.Forward;
  splitter.Items.Add(splitBar);

  RadPane paneRight = new RadPane();
  paneRight.Width = Unit.Percentage(60);
  paneRight.Scrolling = RadSplitterPaneScrolling.None;
  Label labelRight = new Label();
  labelRight.Text = "Right pane content";
  paneRight.Controls.Add(labelRight);
  splitter.Items.Add(paneRight);

  RadPane paneMiddle = new RadPane();
  paneMiddle.Width = Unit.Percentage(20);
  paneMiddle.Scrolling = RadSplitterPaneScrolling.Both;
  paneMiddle.ContentUrl = "http://www.telerik.com";
  splitter.Items.Insert(1, paneMiddle); 

  this.Controls.Add(splitter); 
}
  }
}
